---
search:
  tags:
    - Buildings
    - GET
seo:
  description: >-
    Early access: request API access for your workspace at
    https://bauhow.com/support before… Reference for the GET /v1/buildings/{id}
    endpoint in the Bauhow API.
sidebar:
  label: Get a building
  badge: GET
title: Get a building
type: openapi-operation
---
**Early access:** request API access for your workspace at https://bauhow.com/support before using this endpoint.

`GET /v1/buildings/{id}`

**Responses**

- `200` — OK

Response example, 200:

```json
{
  "id": "string",
  "contactId": "string",
  "name": "string",
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "countryCode": "string",
  "buildingType": "string",
  "buildingYear": -9007199254740991,
  "livingArea": 0,
  "unitCount": -9007199254740991,
  "notes": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
